Package com.treemap.treeplot

# Class AbstractTreePlotSettings<Color,Font>

java.lang.Object
com.treemap.treeplot.AbstractTreePlotSettings<Color,Font>

All Implemented Interfaces:
  `PropertyChange`, `TreePlotSettings<Color,Font>`

Direct Known Subclasses:
  `DefaultTreePlotSettings`

public abstract class AbstractTreePlotSettings<Color,Font> extends Object implements TreePlotSettings<Color,Font>
This class provides a skeletal implementation of the TreeMapSettings interface to minimize the effort required to implement this interface.

- ## Field Summary

  ### Fields inherited from interface com.treemap.treeplot.TreePlotSettings

  `PROPERTY_COLOR_FIELD, PROPERTY_DEPTH, PROPERTY_GROUP_BY_FIELD, PROPERTY_HIDE_FILTER_RESULTS, PROPERTY_HIDE_SEARCH_RESULTS, PROPERTY_PROBING_COLOR, PROPERTY_RENDERING, PROPERTY_SELECTION_COLOR, PROPERTY_SIZE_FIELD, PROPERTY_TOOLTIP_BACKGROUND, PROPERTY_TOOLTIP_FIELD, PROPERTY_TREEPLOT_BACKGROUND_COLOR, PROPERTY_TREEPLOT_BUBBLE_SIZE, PROPERTY_TREEPLOT_GRID_COLOR, PROPERTY_TREEPLOT_GRID_THICKNESS, PROPERTY_TREEPLOT_GROUPBY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTreePlotSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  Adds a PropertyChangeListener to the listener list.
  `void`
  `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
  Adds a PropertyChangeListener to the listener list for a specific property.
  `void`
  `addTreeMapSettingsListener(TreeMapSettingsListener listener)`
  Add a listener for receiving interesting events about changes in the settings.
  `protected void`
  `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)`
  Support for reporting bound property changes for boolean properties.
  `protected void`
  `firePropertyChange(String propertyName, int oldValue, int newValue)`
  Support for reporting bound property changes for integer properties.
  `protected void`
  `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
  Support for reporting bound property changes for Object properties.
  `PropertyChangeListener[]`
  `getPropertyChangeListeners()`
  Returns an array of all the property change listeners registered on this component.
  `PropertyChangeListener[]`
  `getPropertyChangeListeners(String propertyName)`
  Returns an array of all the listeners which have been associated with the named property.
  `protected void`
  `notifySettingsChanged(TreeMapSettingsEvent event)`
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`
  Removes a PropertyChangeListener from the listener list.
  `void`
  `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`
  Removes a PropertyChangeListener from the listener list for a specific property.
  `void`
  `removeTreeMapSettingsListener()`
  Remove all the listener from the list of listeners that should be notified about changes in the settings.
  `void`
  `removeTreeMapSettingsListener(TreeMapSettingsListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the settings.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.treemap.treeplot.TreePlotSettings

  `getBackground, getBackgroundProperty, getBubbleSizeInterval, getColorTreeMapField, getDefaultFieldSettings, getDepth, getFieldSettings, getGridColor, getGridColorProperty, getGridThickness, getGridThicknessInterval, getGroupBy, getGroupByTreeMapFields, getProbingColor, getRendering, getSelectionColor, getShowPopup, getSizeTreeMapField, getTooltipBackground, getToolTipTreeMapFields, getValue, groupByProperty, isHideFilterResults, isHideSearchResults, resetToDefaults, setBackground, setColor, setColorByName, setColorTreeMapField, setDepth, setGridColor, setGridThickness, setGroupBy, setGroupBy, setGroupByByNames, setGroupByTreeMapFields, setHideFilterResults, setHideSearchResults, setProbingColor, setRendering, setSelectionColor, setShowPopup, setSize, setSizeByName, setSizeTreeMapField, setTooltipBackground, setToolTipTreeMapFields`

- ## Constructor Details

  - ### AbstractTreePlotSettings

    protected AbstractTreePlotSettings()

- ## Method Details

  - ### addTreeMapSettingsListener

    public void addTreeMapSettingsListener(TreeMapSettingsListener listener)
    Add a listener for receiving interesting events about changes in the settings.
    Specified by:
      `addTreeMapSettingsListener` in interface `TreePlotSettings<Color,Font>`
    Parameters:
      `listener` - the listener to add.

  - ### removeTreeMapSettingsListener

    public void removeTreeMapSettingsListener(TreeMapSettingsListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the settings.
    Specified by:
      `removeTreeMapSettingsListener` in interface `TreePlotSettings<Color,Font>`
    Parameters:
      `listener` - the listener to remove.

  - ### removeTreeMapSettingsListener

    public void removeTreeMapSettingsListener()
    Remove all the listener from the list of listeners that should be notified about changes in the settings.
    Specified by:
      `removeTreeMapSettingsListener` in interface `TreePlotSettings<Color,Font>`

  - ### notifySettingsChanged

    protected void notifySettingsChanged(TreeMapSettingsEvent event)

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)
    Adds a PropertyChangeListener to the listener list.
    Specified by:
      `addPropertyChangeListener` in interface `PropertyChange`
    Specified by:
      `addPropertyChangeListener` in interface `TreePlotSettings<Color,Font>`
    Parameters:
      `listener` - the PropertyChangeListener to be added
    See Also:
      - `removePropertyChangeListener(java.beans.PropertyChangeListener)`
      - `getPropertyChangeListeners()`
      - `addPropertyChangeListener(String, java.beans.PropertyChangeListener)`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)
    Removes a PropertyChangeListener from the listener list. This method should be used to remove PropertyChangeListeners that were registered for all bound properties of this class.

    If listener is null, no exception is thrown and no action is performed.
    Specified by:
      `removePropertyChangeListener` in interface `PropertyChange`
    Specified by:
      `removePropertyChangeListener` in interface `TreePlotSettings<Color,Font>`
    Parameters:
      `listener` - the PropertyChangeListener to be removed
    See Also:
      - `addPropertyChangeListener(java.beans.PropertyChangeListener)`
      - `getPropertyChangeListeners()`
      - `removePropertyChangeListener(String, java.beans.PropertyChangeListener)`

  - ### getPropertyChangeListeners

    public PropertyChangeListener[] getPropertyChangeListeners()
    Returns an array of all the property change listeners registered on this component.
    Returns:
      all of this component's `PropertyChangeListener`s or an empty array if no property change listeners are currently registered
    Since:
      1.4
    See Also:
      - `addPropertyChangeListener(java.beans.PropertyChangeListener)`
      - `removePropertyChangeListener(java.beans.PropertyChangeListener)`
      - `getPropertyChangeListeners(String)`
      - `PropertyChangeSupport.getPropertyChangeListeners()`

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener)
    Adds a PropertyChangeListener to the listener list for a specific property.
    Specified by:
      `addPropertyChangeListener` in interface `PropertyChange`
    Specified by:
      `addPropertyChangeListener` in interface `TreePlotSettings<Color,Font>`
    Parameters:
      `propertyName` - one of the property names listed above
      `listener` - the PropertyChangeListener to be added
    See Also:
      - `removePropertyChangeListener(String, java.beans.PropertyChangeListener)`
      - `getPropertyChangeListeners(String)`
      - `addPropertyChangeListener(String, java.beans.PropertyChangeListener)`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName, PropertyChangeListener listener)
    Removes a PropertyChangeListener from the listener list for a specific property. This method should be used to remove PropertyChangeListeners that were registered for a specific bound property.

    If listener is null, no exception is thrown and no action is performed.
    Specified by:
      `removePropertyChangeListener` in interface `PropertyChange`
    Specified by:
      `removePropertyChangeListener` in interface `TreePlotSettings<Color,Font>`
    Parameters:
      `propertyName` - a valid property name
      `listener` - the PropertyChangeListener to be removed
    See Also:
      - `addPropertyChangeListener(String, java.beans.PropertyChangeListener)`
      - `getPropertyChangeListeners(String)`
      - `removePropertyChangeListener(java.beans.PropertyChangeListener)`

  - ### getPropertyChangeListeners

    public PropertyChangeListener[] getPropertyChangeListeners(String propertyName)
    Returns an array of all the listeners which have been associated with the named property.
    Parameters:
      `propertyName` - the property name
    Returns:
      all of the `PropertyChangeListeners` associated with the named property or an empty array if no listeners have been added
    Since:
      1.4
    See Also:
      - `addPropertyChangeListener(String, java.beans.PropertyChangeListener)`
      - `removePropertyChangeListener(String, java.beans.PropertyChangeListener)`
      - `getPropertyChangeListeners()`

  - ### firePropertyChange

    protected void firePropertyChange(String propertyName, Object oldValue, Object newValue)
    Support for reporting bound property changes for Object properties. This method can be called when a bound property has changed and it will send the appropriate PropertyChangeEvent to any registered PropertyChangeListeners.
    Parameters:
      `propertyName` - the property whose value has changed
      `oldValue` - the property's previous value
      `newValue` - the property's new value

  - ### firePropertyChange

    protected void firePropertyChange(String propertyName, boolean oldValue, boolean newValue)
    Support for reporting bound property changes for boolean properties. This method can be called when a bound property has changed and it will send the appropriate PropertyChangeEvent to any registered PropertyChangeListeners.
    Parameters:
      `propertyName` - the property whose value has changed
      `oldValue` - the property's previous value
      `newValue` - the property's new value

  - ### firePropertyChange

    protected void firePropertyChange(String propertyName, int oldValue, int newValue)
    Support for reporting bound property changes for integer properties. This method can be called when a bound property has changed and it will send the appropriate PropertyChangeEvent to any registered PropertyChangeListeners.
    Parameters:
      `propertyName` - the property whose value has changed
      `oldValue` - the property's previous value
      `newValue` - the property's new value